import java.awt.Color;
public class LatticeSite{
	private double theta;//azimuthal angle
	private double phi;// polar angle
	private double x;
	private double y;
	private double z;
	private Color color;
		
    public LatticeSite() {
	}
	
    public LatticeSite(double theta, double phi){
    	this.theta = theta;
	this.phi= phi;
	x = Math.sin(theta)*Math.cos(phi);
	y = Math.sin(theta)*Math.sin(phi);
	z = Math.cos(theta);
	color = new Color((float)1.0,(float)(theta/Math.PI),(float)(phi/(2*Math.PI)));
    }
    
    public void setTheta(double theta){
	this.theta = theta;
	x = Math.sin(theta)*Math.cos(phi);
	y = Math.sin(theta)*Math.sin(phi);
	z = Math.cos(theta);
	color = new Color((float)1.0,(float)(theta/Math.PI),(float)(phi/(2*Math.PI)));
    }

    public void setPhi(double phi){
	this.phi = phi;
	x = Math.sin(theta)*Math.cos(phi);
	y = Math.sin(theta)*Math.sin(phi);
	z = Math.cos(theta);
	color = new Color((float)1.0,(float)(theta/Math.PI),(float)(phi/(2*Math.PI)));
    }

    public void setThetaPhi(double theta, double phi){
	this.theta = theta;
	this.phi = phi;
	x = Math.sin(theta)*Math.cos(phi);
	y = Math.sin(theta)*Math.sin(phi);
	z = Math.cos(theta);
	color = new Color((float)1.0,(float)(theta/Math.PI),(float)(phi/(2*Math.PI)));
    }
    
    public void setZdirection(double z){
	this.z = z;
	theta = Math.acos(z);
	x = Math.sin(theta)*Math.cos(phi);
	y = Math.sin(theta)*Math.sin(phi);
	color = new Color((float)1.0,(float)(theta/Math.PI),(float)(phi/(2*Math.PI)));
    }

    public double getTheta(){
      return theta;	
    }
    
    public double getPhi(){
      return phi;	
    }
    
    public double getXdirection(){
      return x;	
    }
    
    public double getYdirection(){
      return y;	
    }
    
    public double getZdirection(){
      return z;	
    }

    public Color getColor(){
      return color;
    }
}
